"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dataCollector = (stream) => {
    const chunks = [];
    const handler = (chunk) => {
        chunks.push(chunk);
    };
    stream.on('data', handler);
    return () => {
        stream.off('data', handler);
        return Buffer.concat(chunks);
    };
};
exports.dataCollector = dataCollector;
//# sourceMappingURL=dataCollector.js.map